Bug 1028902 - pidgin starts sensible-browser '<url>', when Link is clicked
pidgin starts sensible-browser '<url>', when Link is clicked
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
19
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 02:47 EST by Niklas Fischer
Modified: 2016-08-04 02:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:10:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niklas Fischer 2013-11-11 02:47:41 EST
Description of problem:
Instead of starting the firefox command, pidgin starts a command called 'sensible-browser', which is not installed in fedora.


Version-Release number of selected component (if applicable):
Pidgin 2.10.7-3.fc19 (libpurple 2.10.7)

How reproducible:
very

Steps to Reproduce:
In any chat, click any link

Actual results:
Error message stating that the URL could not be opened

Expected results:
webpage in a browser such as firefox

Additional info:
I 'fixed' this by using ln -s /usr/bin/sensible-browser /usr/bin/firefox, but I am not sure this is the way to go.
Comment 1 Fedora Admin XMLRPC Client 2014-02-17 08:01:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2014-02-17 08:03:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-01-09 15:33:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:10:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jan Kalina 2016-08-03 09:16:20 EDT
This bug is still present in Fedora 23. (probably in 24 too, but not tested here)

Pidgin use "sensible-browser" command, which doesnt exist in Fedora/RHEL.
(It is probably debian-like specific.)

In theory possible fixes can be:
1) add "xdg-open" support into Pidgin
2)a bit improved Nicolas solution: ln -s /usr/bin/sensible-browser /usr/bin/xdg-open
Comment 6 Jan Kalina 2016-08-03 09:22:23 EDT
*2) sudo ln -s /usr/bin/xdg-open /usr/bin/sensible-browser
Comment 7 Jan Synacek 2016-08-04 02:23:29 EDT
This bug is not present in F23 or F24, check prefs.xml in upstream sources. You probably have a very old configuration, or maybe it was created on a different distribution. To fix this, edit ~/.purple/prefs.xml, key /purple/pidgin/browsers/browser. In my configuration, the value looks like this:

<pref name='browser' type='string' value='xdg-open'/>

Note You need to log in before you can comment on or make changes to this bug.